Package org.apache.commons.collections4.functors

# Class ExceptionTransformer<T,R>

java.lang.Object
org.apache.commons.collections4.functors.ExceptionTransformer<T,R>

Type Parameters:
  `T` - the type of the input to the function.
  `R` - the type of the result of the function.

All Implemented Interfaces:
  `Serializable`, `Function<T,R>`, `Transformer<T,R>`

public final class ExceptionTransformer<T,R> extends Object implements Transformer<T,R>, Serializable
Transformer implementation that always throws an exception.

Since:
  3.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Transformer`
  `INSTANCE`
  Singleton predicate instance

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <I, O> Transformer<I,O>`
  `exceptionTransformer()`
  Factory returning the singleton instance.
  `R`
  `transform(T input)`
  Transforms the input to result by cloning it.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Function

  `andThen, compose`

  ### Methods inherited from interface org.apache.commons.collections4.Transformer

  `apply`

- ## Field Details

  - ### INSTANCE

    public static final Transformer INSTANCE
    Singleton predicate instance

- ## Method Details

  - ### exceptionTransformer

    public static <I, O> Transformer<I,O> exceptionTransformer()
    Factory returning the singleton instance.
    Type Parameters:
      `I` - the input type
      `O` - the output type
    Returns:
      the singleton instance
    Since:
      3.1

  - ### transform

    public R transform(T input)
    Transforms the input to result by cloning it.
    Specified by:
      `transform` in interface `Transformer<T,R>`
    Parameters:
      `input` - the input object to transform
    Returns:
      never
    Throws:
      `FunctorException` - always